6 Replies Latest reply: Nov 28, 2012 12:03 PM by Rambling Joe
printr42 Level 1 Level 1 (0 points)

Google Earth says it requires OS X 10.6. Where can I find a download that will work with OS X 10.5.8? Thanks!


Mac OS X (10.5.8)